<template>
  <v-layout row justify-center>
    <v-dialog
      width="500"
      @input="close"
      :value="value"
      :scrollable="$vuetify.breakpoint.lgAndUp"
      :fullscreen="$vuetify.breakpoint.mdAndDown"
      transition="dialog-bottom-transition"
    >
      <v-card>
        <v-card-title class="pa-0">
          <v-toolbar class="elevation-0" dark :color="theme">
            <v-toolbar-title>{{title}}</v-toolbar-title>
            <v-spacer></v-spacer>
            <v-toolbar-items >
              <v-icon @click="close">close</v-icon>
            </v-toolbar-items>
          </v-toolbar>
        </v-card-title>
        <v-card-text>
          <write-dialog-content
            :sentence="content.sentence"
            :feedback="content.message"
            :short-message="content.shortMessage"
            :replacements="replacements "
          />
        </v-card-text>

        <v-divider></v-divider>
      </v-card>
    </v-dialog>
  </v-layout>
</template>

<script>
import WriteDialogContent from './WriteDialogContent';

export default {
  props: {
    value: {
      type: Boolean,
      default: false,
    },
    content: {
      type: Object,
      default: () => ({}),
    },
  },
  components: {
    WriteDialogContent,
  },
  methods: {
    close() {
      this.$emit('input', false);
    },
  },
  computed: {
    theme() {
      return this.content.rule === 'KEYWORD'
        ? 'primary'
        : this.content.rule.toLowerCase();
    },
    title() {
      return this.content.rule;
    },
    replacements() {
      return this.content.replacements || [];
    },
  },
};
</script>
